import { browser } from '@/helpers/utils'
import { Button, Toast } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export const getAssetsHomeFile = (fileName: string) => {
  const path = `./images/${fileName}`
  const modules = import.meta.globEager('./images/*')
  return modules[path].default
}

export default defineComponent({
  name: 'transfer',
  data() {
    return {
      wxStatus: false
    }
  },
  mounted() {
    const { origin, pathname } = location
    let str = origin + pathname + '#/'
    let params = this.$route.query
    // 判断是否有跳转连接
    if (!params.url) {
      return
    }
    str += params.url
    str = encodeURIComponent(str)
    if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
      // ColexiuStudent 唤起学生端
      // ColexiuTeacher 唤起老师端
      window.location.href = `ColexiuStudent://linkUrl=${str}`
    } else if (/(Android)/i.test(navigator.userAgent)) {
      window.location.href = `ColexiuStudent://html:8888/SplashActivity?url=${str}`
    } else {
      Toast('请用手机或移动设备打开')
    }
  },
  methods: {
    downLoadApp() {
      if (browser().weixin) {
        this.wxStatus = true
        return
      }

      if (
        browser().ios ||
        /(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)
      ) {
        window.location.href =
          'https://apps.apple.com/cn/app/%E7%AE%A1%E4%B9%90%E8%BF%B7/id1487054260'
      } else if (/(Android)/i.test(navigator.userAgent)) {
        window.location.href =
          'https://sj.qq.com/myapp/detail.htm?apkName=com.daya.studaya_android'
      } else {
        this.$toast('请用手机或移动设备打开')
      }
    }
  },
  render() {
    return (
      <div class={styles.downContainer}>
        <div class={styles.logo}>
          <img src={getAssetsHomeFile('logo.png')} alt="" />
        </div>
        <div class={styles.down}>
          <Button type="primary" round plain onClick={this.downLoadApp}>
            点击下载App
          </Button>
        </div>
        <div class={styles.mainImg}>
          <img src={getAssetsHomeFile('student_bg.png')} alt="" />
        </div>

        {this.wxStatus && (
          <div
            class={styles.wxpopup}
            onClick={() => {
              this.wxStatus = false
            }}
          >
            <img src={getAssetsHomeFile('wx_bg.png')} alt="" />
          </div>
        )}
      </div>
    )
  }
})
