import { defineComponent } from 'vue'
import styles from './index.module.less'
import successTips from '../images/success_tips.png'
import { Button } from 'vant'
import { browser } from '@/helpers/utils'

import wxBg from '../../down-load/images/wx_bg.png'

export default defineComponent({
  name: 'inviteSuccess',
  data() {
    return {
      wxStatus: false
    }
  },
  methods: {
    onDownload() {
      if (browser().weixin) {
        this.wxStatus = true
        return
      }
      if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
        window.location.href =
          'https://apps.apple.com/cn/app/%E7%AE%A1%E4%B9%90%E8%BF%B7/id1487054260'
      } else if (/(Android)/i.test(navigator.userAgent)) {
        window.location.href =
          'https://sj.qq.com/myapp/detail.htm?apkName=com.daya.studaya_android'
      } else {
        this.$toast('请用手机或移动设备打开')
      }
    }
  },
  render() {
    return (
      <div class={styles.inviteSuccess}>
        <img src={successTips} />

        <p class={styles.h2}>恭喜你注册成功</p>
        <p class={styles.tips}>下载酷乐秀APP开启器乐学习之旅！</p>

        <div class={'btnGroup'}>
          <Button
            type="primary"
            round
            class={styles.btnDownload}
            onClick={this.onDownload}
          >
            下载酷乐秀
          </Button>
        </div>

        {this.wxStatus && (
          <div
            class={styles.wxpopup}
            onClick={() => {
              this.wxStatus = false
            }}
          >
            <img src={wxBg} alt="" />
          </div>
        )}
      </div>
    )
  }
})
